Bug 917138

Summary: Review Request: nodejs-supervisor - supervisor program for running nodejs programs
Product: [Fedora] Fedora Reporter: Troy Dawson <tdawson>
Component: Package ReviewAssignee: Jamie Nguyen <jamielinux>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: jamielinux, notting, package-review
Target Milestone: ---Flags: jamielinux: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: nodejs-supervisor-0.5.2-2.fc19 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-06-07 00:33:40 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 956806, 917149    

Description Troy Dawson 2013-03-01 15:06:25 EST
Spec URL: http://tdawson.fedorapeople.org/nodejs/nodejs-supervisor.spec
SRPM URL: http://tdawson.fedorapeople.org/nodejs/nodejs-supervisor-0.5.2-1.fc18.src.rpm
Description: 
A little supervisor script for nodejs. It runs your program,
and watches for code changes, so you can have hot-code 
reloading-ish behavior, without worrying about memory leaks 
and making sure you clean up all the inter-module references, 
and without a whole new require system. 

Fedora Account System Username: tdawson
Comment 1 Jamie Nguyen 2013-05-26 13:06:49 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======

- nodejs-supervisor.noarch: W: summary-not-capitalized C a supervisor program for running nodejs programs

Needs to be capitalized.


- nodejs-supervisor.noarch: W: no-manual-page-for-binary node-supervisor
- nodejs-supervisor.noarch: W: no-manual-page-for-binary supervisor

Consider adding manual pages for these, but this is a should not a must.


[!]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.

Upstream have added a copy of the BSD license. The official 0.5.2 tarball doesn't actually make any mention of what license the software is, so I think it would be best to include a copy of the license while waiting for the next release: https://raw.github.com/isaacs/node-supervisor/master/LICENSE



===== MUST items =====

Generic:
[!]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: nodejs-supervisor-0.5.2-1.fc18.noarch.rpm
nodejs-supervisor.noarch: W: summary-not-capitalized C a supervisor program for running nodejs programs
nodejs-supervisor.noarch: W: spelling-error %description -l en_US ish -> is, sh, dish
nodejs-supervisor.noarch: W: only-non-binary-in-usr-lib
nodejs-supervisor.noarch: W: no-manual-page-for-binary node-supervisor
nodejs-supervisor.noarch: W: no-manual-page-for-binary supervisor
1 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-supervisor
nodejs-supervisor.noarch: W: summary-not-capitalized C a supervisor program for running nodejs programs
nodejs-supervisor.noarch: W: spelling-error %description -l en_US ish -> is, sh, dish
nodejs-supervisor.noarch: W: only-non-binary-in-usr-lib
nodejs-supervisor.noarch: W: no-manual-page-for-binary node-supervisor
nodejs-supervisor.noarch: W: no-manual-page-for-binary supervisor
1 packages and 0 specfiles checked; 0 errors, 5 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-supervisor (rpmlib, GLIBC filtered):
    /usr/bin/env
    nodejs(engine)



Provides
--------
nodejs-supervisor:
    nodejs-supervisor
    npm(supervisor)



Source checksums
----------------
http://registry.npmjs.org/supervisor/-/supervisor-0.5.2.tgz :
  CHECKSUM(SHA256) this package     : 26d796551924ac400a8f4f115388e7bfe90ccc50adb38015bcf2513649f82951
  CHECKSUM(SHA256) upstream package : 26d796551924ac400a8f4f115388e7bfe90ccc50adb38015bcf2513649f82951


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-18-x86_64
Command line :/bin/fedora-review -r -n nodejs-supervisor-0.5.2-1.fc18.src.rpm
Comment 2 Troy Dawson 2013-05-28 17:59:19 EDT
Spec URL: http://tdawson.fedorapeople.org/nodejs/nodejs-supervisor.spec
SRPM URL: http://tdawson.fedorapeople.org/nodejs/nodejs-supervisor-0.5.2-2.fc18.src.rpm

- Summary
-- Capitalized first letter
- Description
-- Fixed spelling
- LICENSE
-- Include Upstreams new License file
-- Added comments with URL and notice that the next update should have the file in it.
- Man pages
-- Luckily there is a -h option that gives the right format to work with txt2man
-- Man pages created
Comment 3 Jamie Nguyen 2013-05-29 10:59:56 EDT
I never quite trust auto-generated man pages so I tend to use help2man and then fix it up manually (though working with man page syntax is just awful and I can never remember off-hand what the operators are). The two man pages in this package are formatted slightly strangely, but still readable so not a big deal.

Package approved!
Comment 4 Troy Dawson 2013-05-29 11:14:56 EDT
New Package SCM Request
=======================
Package Name: nodejs-supervisor
Short Description: supervisor program for running nodejs programs
Owners: tdawson
Branches: f19 f18 el6
InitialCC:
Comment 5 Jon Ciesla 2013-05-29 11:47:40 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-05-29 15:12:18 EDT
nodejs-supervisor-0.5.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-supervisor-0.5.2-2.fc19
Comment 7 Fedora Update System 2013-05-30 13:54:49 EDT
nodejs-supervisor-0.5.2-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 8 Fedora Update System 2013-06-07 00:33:40 EDT
nodejs-supervisor-0.5.2-2.fc19 has been pushed to the Fedora 19 stable repository.